<?php

namespace MintyPHP\Service\Mail;

use MintyPHP\Repository\Mail\MailLogRepository;
use MintyPHP\Repository\Mail\MailLogRepositoryInterface;

class MailRepositoryFactory
{
    private ?MailLogRepository $mailLogRepository = null;

    public function createMailLogRepository(): MailLogRepositoryInterface
    {
        return $this->mailLogRepository ??= new MailLogRepository();
    }
}
